package com.steerinfo.meterwork.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CommonCombination<A,B,C,D> {
    //接收的对象1
    private A one;

    //接收的对象2
    private B two;

    //接收的对象3
    private C three;

    private D four;
    //第一个字符串
    private String sOne;

    //第二个字符串
    private String sTwo;


    private int skipResults;


    //页码(查询条件)
    private int pageNum;

    //条数(查询条件)
    private int pageSize;

    //开始时间(查询条件)
    private String startTime;

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    //结束时间(查询条件)
    private String endTime;

    //开始时间2(查询条件)
    private String startTime2;

    //结束时间2(查询条件)
    private String endTime2;

    //条件1(查询条件)
    private String memo0;


    public String getMemo0() {
        return memo0;
    }

    public void setMemo0(String memo0) {
        this.memo0 = memo0;
    }

    public void setSkipResults(int skipResults) {
        this.skipResults = skipResults;
    }

    //条件1(查询条件)
    private String memo1;

    //条件2(查询条件)
    private String memo2;

    //条件3(查询条件)
    private String memo3;

    //条件4(查询条件)
    private String memo4;

    //对象参数
    private Object objParam;

    //排序字段
    private String sortField;

    //排序类型 0正序 1倒叙
    private String sortType;

    //排序条件
    private String sortSqlCondition;

    public String getSortSqlCondition() {
        if(sortSqlCondition==null||"desc".equals(sortSqlCondition.trim()))
            return "";
        return sortSqlCondition;
    }




}
